Loading...
Searching...
No Matches
roots.hpp File Reference

Closed-form solutions for computing the roots of a polynomial. More...

`#include <stdlib.h>`
`#include <vector>`
`#include <Eigen/Eigen>`
`#include <Eigen/src/Core/util/DisableStupidWarnings.h>`

Go to the source code of this file.

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::math
| The namespace of the math tools.

## Functions

std::vector< double > | opengv::math::o3_roots (const std::vector< double > &p)
| The roots of a third-order polynomial.
std::vector< double > | opengv::math::o4_roots (const Eigen::MatrixXd &p)
| Ferrari's method for computing the roots of a fourth order polynomial.
std::vector< double > | opengv::math::o4_roots (const std::vector< double > &p)
| Ferrari's method for computing the roots of a fourth order polynomial. With a different interface.

## Detailed Description

Closed-form solutions for computing the roots of a polynomial.